<script setup>
import { ref } from "vue";
const props = defineProps({
	offset: {
		type: Array,
		default: [0, 0],
	},
	r: {
		type: [Number, String],
		default: 6,
	},
	color: {
		type: String,
		default: "#804000",
	},
});
</script>

<template>
  <g ref="g" :transform="'translate(' + offset.join(',') + ')'">
    <circle :r="r" :fill="color" />
  </g>
</template>

<style scoped lang="less"></style>
